#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n, k, i, j = 0, m = 0, s = 0, g, broj, d;

    cin >> n >> k;

    long niz[n];
    long mininiz[n - 1];
    long nz[n - 1];

    for(i = 0; i < n; i ++)
    {
        cin >> broj;
        niz[i] = broj;
    }

    for(i = 1; i < n; i ++)
        mininiz[i - 1] = niz[i];


    for(i = 1; i < n; i ++)
    {
        for(j = 0; j < n; j ++)
        {
            if(j != i)
            {
                nz[m] = niz[j];
                m ++;
            }
        }


        m = 0;

        for(j = 0; j < n - 1; j ++)
        {
            if(nz[j] != mininiz[j])
            {
                d = j;
                j = n - 1;
            }
        }

        if(mininiz[d] > nz[d])
        {
            for(s = 0; s < n - 1; s ++)
            {
                mininiz[s] = nz[s];
            }
        }
    }

    for(i = 0; i < n - 1; i ++)
    {
        cout << mininiz[i] << " ";
    }

    return 0;
}